# class Chef::HTTP::RemoteRequestID

### Public Class Methods

new(opts={}) click to toggle source

    # File lib/chef/http/remote_request_id.rb, line 24
    def initialize(opts={})
    end

### Public Instance Methods

handle_request(method, url, headers={}, data=false) click to toggle source

    # File lib/chef/http/remote_request_id.rb, line 27
    def handle_request(method, url, headers={}, data=false)
      headers.merge!({'X-REMOTE-REQUEST-ID' => Chef::RequestID.instance.request_id})
      [method, url, headers, data]
    end

handle_response(http_response, rest_request, return_value) click to toggle source

    # File lib/chef/http/remote_request_id.rb, line 32
    def handle_response(http_response, rest_request, return_value)
      [http_response, rest_request, return_value]
    end

handle_stream_complete(http_response, rest_request, return_value) click to toggle source

    # File lib/chef/http/remote_request_id.rb, line 40
    def handle_stream_complete(http_response, rest_request, return_value)
      [http_response, rest_request, return_value]
    end

stream_response_handler(response) click to toggle source

    # File lib/chef/http/remote_request_id.rb, line 36
    def stream_response_handler(response)
      nil
    end